coap_l_block2_t Struct Reference
Block (Internal)

Structure to keep track of block2 specific information (Responses) More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_l_block2_t:
[legend]

## Data Fields

coap_resource_t * | resource
| associated resource More...
coap_string_t * | query
| Associated query for the resource. More...
uint64_t | etag
| ETag value. More...
coap_time_t | maxage_expire
| When this entry expires. More...

## Detailed Description

Structure to keep track of block2 specific information (Responses)

Definition at line 67 of file coap_block_internal.h.

## Field Documentation

## etag

uint64_t coap_l_block2_t::etag

ETag value.

Definition at line 70 of file coap_block_internal.h.

## maxage_expire

coap_time_t coap_l_block2_t::maxage_expire

When this entry expires.

Definition at line 71 of file coap_block_internal.h.

## query

coap_string_t* coap_l_block2_t::query

Associated query for the resource.

Definition at line 69 of file coap_block_internal.h.

## resource

coap_resource_t* coap_l_block2_t::resource

associated resource

Definition at line 68 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h